import App from './App'
import Vue from 'vue'
import uView from "uview-ui";
// import WebIM from './newSDK/Easemob-chat.js'
// import {conn} from './utils/WebIM';
// import WebIM from 'easemob-websdk'
Vue.prototype.$url = 'https://hire.hdlkeji.com'

Vue.prototype.$openimage = function(urls, index) {
	uni.previewImage({
		urls: urls,
		current: index
	})
}

Vue.use(uView);
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	// WebIM,
  ...App
})
// http拦截器，此为需要加入的内容，如果不是写在common目录，请自行修改引入路径
import httpInterceptor from '@/common/http.interceptor.js'
// 这里需要写在最后，是为了等Vue创建对象完成，引入"app"对象(也即页面的"this"实例)
Vue.use(httpInterceptor, app)
app.$mount()